com.holonplatform.vaadin.flow.internal

## Class DefaultInputPropertyRenderer<T>

- java.lang.Object
- - com.holonplatform.vaadin.flow.internal.DefaultInputPropertyRenderer<T>

- Type Parameters:
    `T` - Property type
  All Implemented Interfaces:
    com.holonplatform.core.property.PropertyRenderer<Input,T>

      @Priority(value=2147483647)
      public class DefaultInputPropertyRenderer<T>
      extends Object
      implements com.holonplatform.core.property.PropertyRenderer<Input,T>

  Default `PropertyRenderer` to create `Input` type `Property` representations.
  Since:
    5.2.0

- - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.property.PropertyRenderer

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultInputPropertyRenderer()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <V> Optional<Input<V>>` | `createByType(Class<V> type)` Create an `Input` to handle given value `type`, if available.
    `Class<? extends Input>` | `getRenderType()`
    `Input` | `render(com.holonplatform.core.property.Property<? extends T> property)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.core.property.PropertyRenderer

      `create`

- - ### Constructor Detail

    - #### DefaultInputPropertyRenderer

          public DefaultInputPropertyRenderer()

  - ### Method Detail

    - #### getRenderType

          public Class<? extends Input> getRenderType()

      Specified by:
        `getRenderType` in interface `com.holonplatform.core.property.PropertyRenderer<Input,T>`

    - #### render

          public Input render(com.holonplatform.core.property.Property<? extends T> property)

      Specified by:
        `render` in interface `com.holonplatform.core.property.PropertyRenderer<Input,T>`

    - #### createByType

          public static <V> Optional<Input<V>> createByType(Class<V> type)

      Create an `Input` to handle given value `type`, if available.
      Type Parameters:
        `V` - Value type
      Parameters:
        `type` - The value type (not null)
      Returns:
        Optional `Input` component

Copyright © 2019 The Holon Platform. All rights reserved.